<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>LocalXAConnectionFactory (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LocalXAConnectionFactory (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LocalXAConnectionFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/dbcp2/managed/DataSourceXAConnectionFactory.html" title="class in org.apache.commons.dbcp2.managed"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.LocalXAResource.html" title="class in org.apache.commons.dbcp2.managed"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.html" target="_top">Frames</a></li>
<li><a href="LocalXAConnectionFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.dbcp2.managed</div>
<h2 title="Class LocalXAConnectionFactory" class="title">Class LocalXAConnectionFactory</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.dbcp2.managed.LocalXAConnectionFactory</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a>, <a href="../../../../../org/apache/commons/dbcp2/managed/XAConnectionFactory.html" title="interface in org.apache.commons.dbcp2.managed">XAConnectionFactory</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">LocalXAConnectionFactory</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../org/apache/commons/dbcp2/managed/XAConnectionFactory.html" title="interface in org.apache.commons.dbcp2.managed">XAConnectionFactory</a></pre>
<div class="block">An implementation of XAConnectionFactory which manages non-XA connections in XA transactions. A non-XA connection
 commits and rolls back as part of the XA transaction, but is not recoverable since the connection does not implement
 the 2-phase protocol.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.LocalXAResource.html" title="class in org.apache.commons.dbcp2.managed">LocalXAConnectionFactory.LocalXAResource</a></span></code>
<div class="block">LocalXAResource is a fake XAResource for non-XA connections.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.html#LocalXAConnectionFactory-javax.transaction.TransactionManager-org.apache.commons.dbcp2.ConnectionFactory-">LocalXAConnectionFactory</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionManager.html?is-external=true" title="class or interface in javax.transaction">TransactionManager</a>&nbsp;transactionManager,
                        <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a>&nbsp;connectionFactory)</code>
<div class="block">Creates an LocalXAConnectionFactory which uses the specified connection factory to create database connections.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.html#LocalXAConnectionFactory-javax.transaction.TransactionManager-javax.transaction.TransactionSynchronizationRegistry-org.apache.commons.dbcp2.ConnectionFactory-">LocalXAConnectionFactory</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionManager.html?is-external=true" title="class or interface in javax.transaction">TransactionManager</a>&nbsp;transactionManager,
                        <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionSynchronizationRegistry.html?is-external=true" title="class or interface in javax.transaction">TransactionSynchronizationRegistry</a>&nbsp;transactionSynchronizationRegistry,
                        <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a>&nbsp;connectionFactory)</code>
<div class="block">Creates an LocalXAConnectionFactory which uses the specified connection factory to create database connections.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.html#createConnection--">createConnection</a></span>()</code>
<div class="block">Create a new <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a> in an implementation specific fashion.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.html#getConnectionFactory--">getConnectionFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.html#getTransactionRegistry--">getTransactionRegistry</a></span>()</code>
<div class="block">Gets the TransactionRegistry for this connection factory which contains a the XAResource for every connection
 created by this factory.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="LocalXAConnectionFactory-javax.transaction.TransactionManager-org.apache.commons.dbcp2.ConnectionFactory-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LocalXAConnectionFactory</h4>
<pre>public&nbsp;LocalXAConnectionFactory(<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionManager.html?is-external=true" title="class or interface in javax.transaction">TransactionManager</a>&nbsp;transactionManager,
                                <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a>&nbsp;connectionFactory)</pre>
<div class="block">Creates an LocalXAConnectionFactory which uses the specified connection factory to create database connections.
 The connections are enlisted into transactions using the specified transaction manager.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transactionManager</code> - the transaction manager in which connections will be enlisted</dd>
<dd><code>connectionFactory</code> - the connection factory from which connections will be retrieved</dd>
</dl>
</li>
</ul>
<a name="LocalXAConnectionFactory-javax.transaction.TransactionManager-javax.transaction.TransactionSynchronizationRegistry-org.apache.commons.dbcp2.ConnectionFactory-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LocalXAConnectionFactory</h4>
<pre>public&nbsp;LocalXAConnectionFactory(<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionManager.html?is-external=true" title="class or interface in javax.transaction">TransactionManager</a>&nbsp;transactionManager,
                                <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/TransactionSynchronizationRegistry.html?is-external=true" title="class or interface in javax.transaction">TransactionSynchronizationRegistry</a>&nbsp;transactionSynchronizationRegistry,
                                <a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a>&nbsp;connectionFactory)</pre>
<div class="block">Creates an LocalXAConnectionFactory which uses the specified connection factory to create database connections.
 The connections are enlisted into transactions using the specified transaction manager.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>transactionManager</code> - the transaction manager in which connections will be enlisted</dd>
<dd><code>transactionSynchronizationRegistry</code> - the optional TSR to register synchronizations with</dd>
<dd><code>connectionFactory</code> - the connection factory from which connections will be retrieved</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.8.0</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createConnection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createConnection</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;createConnection()
                            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/dbcp2/managed/XAConnectionFactory.html#createConnection--">XAConnectionFactory</a></code></span></div>
<div class="block">Create a new <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a> in an implementation specific fashion.
 <p>
 An implementation can assume that the caller of this will wrap the connection in a proxy that protects access to
 the setAutoCommit, commit and rollback when enrolled in a XA transaction.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html#createConnection--">createConnection</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a></code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/dbcp2/managed/XAConnectionFactory.html#createConnection--">createConnection</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/dbcp2/managed/XAConnectionFactory.html" title="interface in org.apache.commons.dbcp2.managed">XAConnectionFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database error occurs creating the connection</dd>
</dl>
</li>
</ul>
<a name="getConnectionFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectionFactory</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/dbcp2/ConnectionFactory.html" title="interface in org.apache.commons.dbcp2">ConnectionFactory</a>&nbsp;getConnectionFactory()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The connection factory.</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.6.0</dd>
</dl>
</li>
</ul>
<a name="getTransactionRegistry--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getTransactionRegistry</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/dbcp2/managed/TransactionRegistry.html" title="class in org.apache.commons.dbcp2.managed">TransactionRegistry</a>&nbsp;getTransactionRegistry()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/commons/dbcp2/managed/XAConnectionFactory.html#getTransactionRegistry--">XAConnectionFactory</a></code></span></div>
<div class="block">Gets the TransactionRegistry for this connection factory which contains a the XAResource for every connection
 created by this factory.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/dbcp2/managed/XAConnectionFactory.html#getTransactionRegistry--">getTransactionRegistry</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/commons/dbcp2/managed/XAConnectionFactory.html" title="interface in org.apache.commons.dbcp2.managed">XAConnectionFactory</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the transaction registry for this connection factory</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/LocalXAConnectionFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/dbcp2/managed/DataSourceXAConnectionFactory.html" title="class in org.apache.commons.dbcp2.managed"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.LocalXAResource.html" title="class in org.apache.commons.dbcp2.managed"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/dbcp2/managed/LocalXAConnectionFactory.html" target="_top">Frames</a></li>
<li><a href="LocalXAConnectionFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
